Subject: Re: [pim] IGMP query solicitation message

From: Harvey <[email-masked]>
Date: Thu, 2 Jul 2020 16:24:30 -0400

Hi Gangadhar,
The links below might be worth taking a look at.
https://tools.ietf.org/html/draft-ietf-idmr-igmp-mrdisc-10

http://stevehaskew.blogspot.com/2014/06/igmp-query-solicitation.html#:~:text=As%20well%20as%20flooding%20the,send%20out%20a%20General%20Query.

Thanks,
Hongwei

> Date: Thu, 2 Jul 2020 13:07:07 +0530
> From: gangadhara reddy chavva <[email-masked]>
> To: [email-masked]
> Subject: [pim] IGMP query solicitation message
> Message-ID:
>         <
> [email-masked]>
> Content-Type: text/plain; charset="utf-8"
>
> Hi,
>
> I could see a problem in igmp snooping functionality during port shut and
> unshut, RP switchover. During these triggers if the igmp snooping switch is
> not querier, it can't send query messages immediately to get the report
> message from the hosts. so snooping switch has to wait for the next querier
> query interval to learn the entries. Because of this there could be traffic
> drop/flood in the bridge domain.
>
> I could see some vendors are using query solicitation messages to trigger
> query messages immediately so the snooping switch can converge the traffic
> quickly.
>
> when i search for query solicitation message i couldn't find it in any
> ietf/rfc documents which suggest the same. Did I miss something?  Please
> let me know if there is any IETF/RFC document which suggests the same.
>
> Thanks,
> Gangadhar
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <
> https://mailarchive.ietf.org/arch/browse/pim/attachments/20200702/9221b844/attachment.htm
> >
>
> ------------------------------
>
> Subject: Digest Footer
>
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim
>

---

From: gangadhara reddy chavva <[email-masked]>
Date: Sat, 4 Jul 2020 17:44:31 +0530

Thanks Harvey for the information and the rfc links.

Best Regards,
Gangadhar

---

From: gangadhara reddy chavva <[email-masked]>
Date: Thu, 9 Jul 2020 14:50:34 +0530

Hi Harvey,

I could see some vendors are using "Query solicitation" messages (sending
IGMP leave with group address 0.0.0.0 ) for faster convergence.
this might be working for IGMPv2. what is the method for IGMPv3 configured
snooping switches, they can still generate V2 leave and expected to receive
general query from router? or is there any IGMPv3 query solicitation
message.
please let me know how to proceed with this for IGMPv3 configured snooping
switches.

Thanks,
Gangadhar

---

From: Harvey <[email-masked]>
Date: Thu, 9 Jul 2020 11:57:36 -0400

Hi Gangadhara，
Please refer to the RFC3376 with the supported messages, you would be able
to understand the related implementation on the IGMPv3.

https://tools.ietf.org/html/rfc3376

   There are two IGMP message types of concern to the IGMPv3 protocol
   described in this document:

      Type Number (hex)   Message Name
      -----------------   ------------

            0x11          Membership Query

            0x22          Version 3 Membership Report

   An implementation of IGMPv3 MUST also support the following three
   message types, for interoperation with previous versions of IGMP (see
   section 7 <https://tools.ietf.org/html/rfc3376#section-7>):

           0x12          Version 1 Membership Report    [RFC-1112
<https://tools.ietf.org/html/rfc1112>]

           0x16          Version 2 Membership Report    [RFC-2236
<https://tools.ietf.org/html/rfc2236>]

           0x17          Version 2 Leave Group          [RFC-2236
<https://tools.ietf.org/html/rfc2236>]

---

From: gangadhara reddy chavva <[email-masked]>
Date: Mon, 13 Jul 2020 19:09:53 +0530

Thank You Harvey for the information.

Thanks,
Gangadhar

On Thu, Jul 9, 2020 at 9:27 PM Harvey <[email-masked]> wrote:

>            0x12          Version 1 Membership Report    [RFC-1112 <https://tools.ietf.org/html/rfc1112>]
>
>            0x16          Version 2 Membership Report    [RFC-2236 <https://tools.ietf.org/html/rfc2236>]
>
>            0x17          Version 2 Leave Group          [RFC-2236 <https://tools.ietf.org/html/rfc2236>]
>
>
>> this might be working for IGMPv2. what is the method for IGMPv3
>> configured snooping switches, they can still generate V2 leave and expected
>> to receive general query from router? or is there any IGMPv3 query
>> solicitation message.
>> please let me know how to proceed with this for IGMPv3 configured
>> snooping switches.
>>
>> Thanks,
>> Gangadhar
>>